Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
<Appearance("Hide OfferLOSTReason if OfferInState<>2", AppearanceItemType.ViewItem, "OfferInState<>2", TargetItems:="OfferLOSTReason", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("Hide OfferLOSTReasonDescription if OfferLOSTReason<>7", AppearanceItemType.ViewItem, "OfferLOSTReason<>7", TargetItems:="OfferLOSTReasonDescription", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class OfferIn_ChangeState_PopUp
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Private _OfferInState As eOfferInState
    Private _OfferLOSTReasonDescription As String
    Private _OfferLOSTReason As eOfferInLOSTReason

    <ImmediatePostData()> _
    Property OfferInState As eOfferInState
        Get
            Return _OfferInState
        End Get
        Set(value As eOfferInState)
            SetPropertyValue("OfferInState", _OfferInState, value)
        End Set
    End Property
    Property OfferLOSTReasonDescription As String
        Get
            Return _OfferLOSTReasonDescription
        End Get
        Set(value As String)
            SetPropertyValue("OfferLOSTReasonDescription", _OfferLOSTReasonDescription, value)
        End Set
    End Property
    <ImmediatePostData()> _
    Property OfferLOSTReason As eOfferInLOSTReason
        Get
            Return _OfferLOSTReason
        End Get
        Set(value As eOfferInLOSTReason)
            SetPropertyValue("OfferLOSTReason", _OfferLOSTReason, value)
        End Set
    End Property
End Class
